package domain


type AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO struct {
    /*
        总数     */
    Total  *int64 `json:"total,omitempty" `

    /*
        总页数     */
    Pages  *int64 `json:"pages,omitempty" `

    /*
        页面大小     */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        当前页数     */
    PageNum  *int64 `json:"page_num,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO) SetTotal(v int64) *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO {
    s.Total = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO) SetPages(v int64) *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO {
    s.Pages = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO) SetPageSize(v int64) *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO {
    s.PageSize = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO) SetPageNum(v int64) *AlibabaRetailMarketingItemdiscountSkuQueryPageInfoDTO {
    s.PageNum = &v
    return s
}
